Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IORInterceptor_Adapter_Factory Class Reference

TAO_IORInterceptor_Adapter_Factory. More...

`#include <IORInterceptor_Adapter_Factory.h>`

Inheritance diagram for TAO_IORInterceptor_Adapter_Factory:

[legend]
Collaboration diagram for TAO_IORInterceptor_Adapter_Factory:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_IORInterceptor_Adapter_Factory (void)
virtual TAO_IORInterceptor_Adapter * | create (ACE_ENV_SINGLE_ARG_DECL)=0 throw (CORBA::SystemException)

## Detailed Description

TAO_IORInterceptor_Adapter_Factory.

Class that creates one instance of TAO_IOR_Interceptor_Adapter per ORB on the ORB's first usage of its ior_interceptor_adapter_. This is a base class for the actual implementation in the TAO_IORInterceptor library.

## Constructor & Destructor Documentation

TAO_IORInterceptor_Adapter_Factory::~TAO_IORInterceptor_Adapter_Factory | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual TAO_IORInterceptor_Adapter* TAO_IORInterceptor_Adapter_Factory::create | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[pure virtual]`

The documentation for this class was generated from the following files:

- IORInterceptor_Adapter_Factory.h
- IORInterceptor_Adapter_Factory.cpp